# Create approval

Create an approval resource

Endpoint: POST /iacm/api/orgs/{org}/projects/{project}/approvals
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "iv"

  - `project` (string, required)
    Project is the project identifier.
    Example: "9f"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "6h"

## Request fields (application/json):

  - `pipeline_execution_id` (string, required)
    The unique identifier for the associated pipeline execution
    Example: "Et ex."

  - `pipeline_stage_id` (string, required)
    The unique identifier for the associated pipeline execution stage
    Example: "Eligendi voluptas consequatur nisi eum sed."

  - `status` (string)
    Status of the approval resource
    Enum: "pending", "approved", "rejected"

  - `workspace_id` (string, required)
    The unique identifier for the workspace_id
    Example: "Voluptas aut."

## Response 200 fields (application/json):

  - `id` (string, required)
    Example: "Consequuntur non."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


